Rated 2 out of 5 stars

For some reason it only can edit PHPSESSID cookies. I tried it with other, but it does not seem to work...

My current Firefox version is 24.0, although with older versions (I think 20 and bellow) it used to work fine.